<?php

/**
 * @file
 * Hooks provided by the Entity Index module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Alter the entity indexes.
 *
 * Modules may implement this hook to add new indexes to be added to the
 * {entity_index} table.
 *
 * @param $indexes
 *   An associative array containing indexes for given entity.
 * @param $entity
 *   The entity object.
 * @param $type
 *   The type of entity being saved (i.e. node, user, comment).
 */
function hook_entity_index_alter(&$indexes, $entity, $type) {
  $uri = entity_uri($type, $entity);
  $indexes['uri_path'] = $uri !== NULL ? $uri['path'] : NULL;
}

/**
 * @} End of "addtogroup hooks".
 */

